Package com.castlabs.analytics

## Interface CrashReporter

-     public interface CrashReporter

  Implementations of this interface allow connections to crash logging systems. The crash logger typically intercepts uncaught exceptions automatically but allows to specify a more advanced context using the various set methods.
  Since:
    3.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `log​(String tag, String message)` | Adds a log line to the crash context
    `void` | `report​(Throwable exception)` | Report a caught exception.
    `void` | `set​(String key, boolean value)` | Sets a boolean value
    `void` | `set​(String key, double value)` | Sets a double value
    `void` | `set​(String key, int value)` | Sets an int value
    `void` | `set​(String key, String value)` | Sets a string value.

- - ### Method Detail

    - #### report

          void report​(Throwable exception)

      Report a caught exception. This is usually used to report non-fatal exception to the backend.
      Parameters:
        `exception` - the exception

    - #### log

          void log​(String tag,
                   String message)

      Adds a log line to the crash context
      Parameters:
        `tag` - The tag
        `message` - The log message

    - #### set

          void set​(String key,
                   String value)

      Sets a string value.

      Key value pairs like this should be send when a crash is recorder and will help to debug the issue.
      Parameters:
        `key` - the key
        `value` - the value

    - #### set

          void set​(String key,
                   int value)

      Sets an int value

      Key value pairs like this should be send when a crash is recorder and will help to debug the issue.
      Parameters:
        `key` - the key
        `value` - the value

    - #### set

          void set​(String key,
                   double value)

      Sets a double value

      Key value pairs like this should be send when a crash is recorder and will help to debug the issue.
      Parameters:
        `key` - the key
        `value` - the value

    - #### set

          void set​(String key,
                   boolean value)

      Sets a boolean value

      Key value pairs like this should be send when a crash is recorder and will help to debug the issue.
      Parameters:
        `key` - the key
        `value` - the value